// SLIDER

var realizacjeContent = new Swiper('#slideshow', {
	slidesPerView: 1,
	spaceBetween: 0,
	loop:true,
	grabCursor: true,
	pagination: {
		el: '.slider-pagination',
		type: 'bullets',
		clickable: true,
	},
	speed: 1000,
	autoplay: {
		delay: 7000,
	},
	effect: 'fade',
	fadeEffect: {
		crossFade: true
	},
});



// AKTUALNOŚCI - HOME

var aktualnosciSlider = new Swiper('#aktualnosci_slider', {
	slidesPerView: 3,
	spaceBetween: 40,
	loop:false,
	grabCursor: true,
	navigation: {
		nextEl: '.aktualnosci-next',
		prevEl: '.aktualnosci-prev',
	},
	
	breakpoints: {
		0: {
			slidesPerView: 1.2,
			spaceBetween: 20
		},
		500: {
			slidesPerView: 1.5,
			spaceBetween: 20
		},
		600: {
			slidesPerView: 2.2,
			spaceBetween: 20,
		},
		800: {
			slidesPerView: 2.5,
			spaceBetween: 20,
		},
		1000: {
			spaceBetween: 40
		}
	}
});


// ŚWIATŁO TWORZY FORMĘ - SLIDESHOW

var slideshowSlider = new Swiper('#slideshow_section_inner', {
	slidesPerView: 1,
	spaceBetween: 0,
	loop: true,
	grabCursor: true,
	pagination: {
		el: '.slideshow-pagination',
		type: 'bullets',
		clickable: true,
	},
	effect: 'fade',
	fadeEffect: {
		crossFade: true
	},
	autoplay: {
		delay: 5000,
	},
	speed: 1000,
});


// CASE STUDIES - SLIDER

var casestudyThumbs = new Swiper('#casestudy_slider_thumbs', {
  spaceBetween: 15,
  slidesPerView: 6,
  loop: true,
  centeredSlides: true,
  freeMode: true,
  watchSlidesVisibility: true,
  watchSlidesProgress: true,
	breakpoints: {
		0: {
			slidesPerView: 4,
		},
		600: {
			slidesPerView: 5,
		},
		1000: {
			slidesPerView: 6,
		}
	}
  
});
var casestudyyTop = new Swiper('#casestudy_slider_galeria', {
  spaceBetween: 10,
  autoHeight: true,
  navigation: {
	nextEl: '.casestudy-button-next',
	prevEl: '.casestudy-button-prev',
  },
  thumbs: {
	swiper: casestudyThumbs
  }
});





// SWIPEBOX - FOTO & VIDEO

$( document ).ready(function() {
	if ( jQuery("figure.wp-block-gallery")[0] || jQuery("a.swipebox")[0] || jQuery(".video.swipebox")[0] ){
		
		$( 'a.swipebox' ).swipebox({
			
			autoplayVideos: true,
			
			nextSlide: function(){
				jQuery(".slide").find("video").each(function(){
					$(this)[0].pause();
				});
			},
			
			prevSlide: function(){
				jQuery(".slide").find("video").each(function(){
					$(this)[0].pause();
				});
			},
			
			afterOpen: function(){
				jQuery(".slide").find("video").each(function(){
					$(this)[0].pause();
				});
			},
			
			afterClose: function(){
				jQuery(".slide").find("video").each(function(){
					$(this)[0].pause();
				});
			},
			
		});
		
		$( '.scroll' ).on( 'click', function () {
			$( 'html, body' ).animate( { scrollTop: $( $( this ).attr('href') ).offset().top - 15 }, 750 ); 
			return false;
		});
	}
});


// SWIPEBOX - CLOSE

$(function(){
  $(document.body)
	  .on('click touchend','#swipebox-slider .current img', function(e){
		  return false;
	  })
	  .on('click touchend','#swipebox-slider .current', function(e){
		  $('#swipebox-close').trigger('click');
	  });
});



// MENU

jQuery('#show_menu').click(function() {
	jQuery("#menu").addClass(' on');
	jQuery("body").addClass(' overflow');
});

jQuery('#hide_menu').click(function() {
	jQuery("#menu").removeClass(' on');
	jQuery("body").removeClass(' overflow');
});


// MENU - LANG

jQuery('#lang_menu li.current_page_item a').click(function() {
	event.preventDefault();
});


// AKTUALNOŚCI - LATA

jQuery('#aktualnosci_sub .aktualnosci_lata .rok').click(function() {
	jQuery("#aktualnosci_sub .aktualnosci_lata .rok").removeClass('active');
	jQuery(this).addClass('active');
});


// REALIZACJE - KATEGORIE

jQuery('#realizacje #realizacje_header .realizacja_cat').click(function() {
	jQuery("#realizacje #realizacje_header .realizacja_cat").removeClass('active');
	jQuery(this).addClass('active');
});


// FORMULARZ - PLACEHOLDERS

jQuery(window).load(function() {	
	jQuery.each(jQuery('.wpcf7 input[type=text], .wpcf7 input[type=email], .wpcf7 input[type=tel], .wpcf7 textarea'),function(){
		
		jQuery(this).removeAttr('size');
		
		if (jQuery(this).attr("placeholder")) {
			var placeholder = jQuery(this).attr('placeholder').replace(/_/g, " ");
			jQuery(this).after('<span class="floating-label">' + placeholder + '</span>');
		}
	});	
});


// FAQ

jQuery('.faq li').click(function() {
	jQuery(this).toggleClass('on');
});



// MAPS - TOOLTIP

$description = $(".description");

$('path').hover(function() {
	$description.addClass('active');
	$description.html($(this).attr('data-name'));
}, function() {
	$description.removeClass('active');
});

$(document).on('mousemove', function(e){
	$description.css({
		left:  e.pageX,
		top:   e.pageY - 70
	}).mouseover();
});



// SCROLLBAR

(function($){
	$(window).on("load",function(){
		$("#realizacje_header").mCustomScrollbar({
			axis:"x"
		});
	});
})(jQuery);